Page MenuHomePhabricator

Support Azure as an auth provider
Closed, WontfixPublic

Description

See:

http://www.windowsazure.com/en-us/develop/php/how-to-guides/web-sso/

Initial impressions:

  • Auth code isn't usable as-is because it depends on $_SESSION and internal redirects.
  • There's a messy dependency on SimpleSAMLPHP, which is huge.

Event Timeline

epriestley raised the priority of this task from to Wishlist.
epriestley updated the task description. (Show Details)
epriestley added a project: Auth.
epriestley added subscribers: epriestley, mbishopim3.
eadler added a subscriber: eadler.Jun 3 2015, 3:39 AM

Current state of the world is:

  • We've seen relatively little interest in this.
  • Repeatably testing this provider so we can update and maintain it appears to be difficult (see D10297#120701).

Given these, we have no current plans to bring this support upstream.

epriestley moved this task from Backlog to Far Future on the Auth board.Nov 23 2015, 3:48 PM

As a general note, Azure appears to have both SAML and OAuth flavors. D10297 / D10289 implement the OAuth flavors, and don't invoke the messy SAML problem. I'm not sure if these providers are equivalent or not.

This comment was removed by chad.
brablc added a subscriber: brablc.May 29 2018, 7:08 AM
epriestley moved this task from Far Future to Not Likely on the Auth board.Dec 12 2018, 7:39 PM
epriestley closed this task as Wontfix.Jan 3 2019, 7:23 PM
epriestley claimed this task.

This can be implemented as a third-party extension. We're unlikely to ever pursue it upstream without customer interest.

figroc added a subscriber: figroc.Jan 30 2019, 6:19 AM

@epriestley Sorry bringing up this ancient task. I am also interested in this Azure OAuth feature. Would you kindly point me to some third-party extension coding guideline/documents? I've dug around for the docs, but not found any.